Bug 744952 - Review Request: light-themes - Light Themes (Ambiance and Radiance)
Summary: Review Request: light-themes - Light Themes (Ambiance and Radiance)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 744948
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-10 22:21 UTC by Mohamed El Morabity
Modified: 2011-12-11 21:48 UTC (History)
6 users (show)

Fixed In Version: light-themes-0.1.8.25-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-11 21:48:46 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mohamed El Morabity 2011-10-10 22:21:59 UTC
Spec URL: http://melmorabity.fedorapeople.org/packages/light-theme-gnome/light-theme-gnome.spec
SRPM URL: http://melmorabity.fedorapeople.org/packages/light-theme-gnome/light-theme-gnome-0.1.8.25-1.fc16.src.rpm
Description:
Includes matching Ambiance and Radiance themes
 * Ambiance is a light-on-dark theme
 * Radiance is a dark-on-light theme
Introduced as the default themes in Ubuntu 10.04 LTS.

Notes:
* builds fine in mock
* rpmlint:
$ rpmlint light-theme-gnome-0.1.8.25-1.fc16.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint light-theme-gnome-0.1.8.25-1.fc16.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
* Requires the ubuntu-mono-icon-theme (#744948)

Comment 1 Mohamed El Morabity 2011-10-11 23:48:38 UTC
Fix the dependency on the Mono icons, since the corresponding package was renamed (see #744948):

Spec URL:
http://melmorabity.fedorapeople.org/packages/light-theme-gnome/light-theme-gnome.spec
SRPM URL:
http://melmorabity.fedorapeople.org/packages/light-theme-gnome/light-theme-gnome-0.1.8.25-2.fc16.src.rpm

Comment 2 Mohamed El Morabity 2011-10-12 23:19:37 UTC
Fix the dependency on the Mono icons, since the corresponding package was (again!)
renamed (see #744948):

Spec URL:
http://melmorabity.fedorapeople.org/packages/light-theme-gnome/light-theme-gnome.spec
SRPM URL:
http://melmorabity.fedorapeople.org/packages/light-theme-gnome/light-theme-gnome-0.1.8.25-3.fc16.src.rpm

Comment 3 Matthieu Saulnier 2011-10-24 21:02:42 UTC
Hello
This is an informal review

[X] rpmlint must be run on every package.

[X] The package must be named according to the Package Naming Guidelines.

[X] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.

[X] The package must meet the Packaging Guidelines.

[X] The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.

[X] The License field in the package spec file must match the actual license.

[X] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[X] The spec file must be written in American English.

[X] The spec file for the package MUST be legible.

[X] The sources used to build the package must match the upstream source, as
      provided in the spec URL.
      Upstream md5sum: 2c229c3444020f2db01607102aca5533
      Package md5sum: 2c229c3444020f2db01607102aca5533

[X] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
     Build successful on Fedora 15 x86_64

[NA] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[X] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[NA] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[NA] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths,
      must call ldconfig in %post and %postun.

[X] Packages must NOT bundle copies of system libraries.

[NA] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[X] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.

[X] A Fedora package must not list a file more than once in the spec file's
      %files listings. 

[X] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.

[X] Each package must consistently use macros.

[X] The package must contain code, or permissable content.

[NA] Large documentation files must go in a -doc subpackage.

[X] If a package includes something as %doc, it must not affect the runtime
     of the application. To summarize: If it is in %doc, the program must run
     properly if it is not present.

[NA] Header files must be in a -devel package.

[NA] Static libraries must be in a -static package.

[NA] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[NA] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[X] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[NA] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[X] Packages must not own files or directories already owned by other
      packages.

[X] All filenames in rpm packages must be valid UTF-8.

Comment 4 Mario Blättermann 2011-11-26 18:43:19 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3543640

$ rpmlint -i -v *
light-theme-gnome.src: I: checking
light-theme-gnome.src: I: checking-url https://launchpad.net/light-themes/ (timeout 10 seconds)
light-theme-gnome.src: I: checking-url https://launchpad.net/ubuntu/+archive/primary/+files/light-themes_0.1.8.25.tar.gz (timeout 10 seconds)
light-theme-gnome.noarch: I: checking
light-theme-gnome.noarch: I: checking-url https://launchpad.net/light-themes/ (timeout 10 seconds)
light-theme-gnome.spec: I: checking-url https://launchpad.net/ubuntu/+archive/primary/+files/light-themes_0.1.8.25.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

No issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    CC-BY-SA
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    2c229c3444020f2db01607102aca5533  light-themes_0.1.8.25.tar.gz
    2c229c3444020f2db01607102aca5533  light-themes_0.1.8.25.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[.] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Tested, works fine.

[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.


----------------

PACKAGE APPROVED

----------------

Comment 5 Christoph Wickert 2011-11-27 13:59:50 UTC
Can we please have this packaged modular to allow non-GNOME users to use it? nimbus is a good example how this can be achieved. The metacity bits for example shoule be packaged separately and that package is then supposed to require metacity. I am not sure that the unitiy or UbuntuOne bits should be packaged at all, they are useless in Fedora (as long as we don't have Unity or UbuntuOne packaged).

Comment 6 Mohamed El Morabity 2011-11-29 09:16:28 UTC
(In reply to comment #5)
> Can we please have this packaged modular to allow non-GNOME users to use it?
> nimbus is a good example how this can be achieved. The metacity bits for
> example shoule be packaged separately and that package is then supposed to
> require metacity. I am not sure that the unitiy or UbuntuOne bits should be
> packaged at all, they are useless in Fedora (as long as we don't have Unity or
> UbuntuOne packaged).
That's a good idea, indeed. The uploaded version of the package will be splitted into three packages: one for the metacity theme, one for the GTK2 theme and one for the GTK3 one. The main package will require all the previous packages, as well as the required icon/mouse cursor themes.

Comment 7 Mohamed El Morabity 2011-11-29 09:17:59 UTC
New Package SCM Request
=======================
Package Name: light-theme-gnome
Short Description: Light Themes (Ambiance and Radiance)
Owners: melmorabity
Branches: f16
InitialCC:

Comment 8 Christoph Wickert 2011-11-29 10:06:16 UTC
(In reply to comment #6)
> The main package will require all the previous packages, as well as the required icon/mouse cursor themes.

Right, the main package will require all dependencies and only include the index.theme file that combines all this to one GNOME theme. Thanks for changing this!

However I don't think that the base package should be named "light-theme-gnome" because this will also become the name of the SRPM. IHMO it should be "light-themes" because this is also the name of the tarball. Could you change your SCM request accordingly?

Comment 9 Mohamed El Morabity 2011-11-29 10:32:07 UTC
(In reply to comment #8)
> However I don't think that the base package should be named "light-theme-gnome"
> because this will also become the name of the SRPM. IHMO it should be
> "light-themes" because this is also the name of the tarball. Could you change
> your SCM request accordingly?
That's consistent with the way other GNOME themes source RPMs are named. I'll update the package name, as well as this review request bug.

Comment 10 Mohamed El Morabity 2011-11-29 10:32:51 UTC
New Package SCM Request
=======================
Package Name: light-themes
Short Description: Light Themes (Ambiance and Radiance)
Owners: melmorabity
Branches: f16
InitialCC:

Comment 11 Gwyn Ciesla 2011-11-29 13:04:04 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-11-29 20:03:59 UTC
light-themes-0.1.8.25-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/light-themes-0.1.8.25-4.fc16

Comment 13 Fedora Update System 2011-12-02 21:28:35 UTC
light-themes-0.1.8.25-4.fc16 has been pushed to the Fedora 16 testing repository.

Comment 14 Fedora Update System 2011-12-11 21:48:46 UTC
light-themes-0.1.8.25-4.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.